## GwyAppGraphWindow

GwyAppGraphWindow — Windows for data shown as graphs

## Functions

GtkWindow * | gwy_app_graph_window_new ()

## Types and Values

struct | GwyAppGraphWindow
struct | GwyAppGraphWindowClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── GwyGraphWindow
                                ╰── GwyAppGraphWindow

## Implemented Interfaces

GwyAppGraphWindow implements AtkImplementorIface, GtkBuildable and GwyAppDataWindow.

## Includes

    #include <libgwyapp/gwyapp.h>

## Description

GwyAppGraphWindow wraps GwyGraphWindow and updates it to changes in the file.

## Functions

### gwy_app_graph_window_new()

    GtkWindow *
    gwy_app_graph_window_new (GwyFile *file,
                              GwyDataKind data_kind,
                              gint id);

Creates a new app image data window.

The arguments must correspond to a valid data object in `file` which can be visualised as a graph. Possible data kinds include `GWY_FILE_GRAPH` and `GWY_FILE_SPECTRA` .

Use GwyAppDataWindow methods to query the parameters later.

#### Parameters

file | A data file container. | [transfer none]
data_kind | Type of the data object. |
id | Data item id. |

#### Returns

A newly created window.

[transfer full][constructor]

## Types and Values

### struct GwyAppGraphWindow

    struct GwyAppGraphWindow;

### struct GwyAppGraphWindowClass

    struct GwyAppGraphWindowClass {
        GwyDataWindowClass parent_class;
    };